> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/basic-info/season.md).

# Season

## Season

> Return full season data,and obtain new or changed data according to the time\<br/>\<br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)\<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"BASIC INFO","description":"BASIC INFO"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/season/list":{"get":{"tags":["BASIC INFO"],"description":"Return full season data,and obtain new or changed data according to the time<br/><br/>1,Full update for the first time,full data is obtained according to the parameter page (Page increases by 1, loop to get the interface, total is 0, and the loop ends)<br/>2,Subsequent incremental update,obtain change data according to the parameter time increment (recommended request frequency:1min/time)","summary":"Season","operationId":"getSeasonList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"$ref":"#/components/parameters/Page"},{"$ref":"#/components/parameters/Time"},{"$ref":"#/components/parameters/Uuid"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/Query"},"results":{"type":"array","description":"Season list","items":{"$ref":"#/components/schemas/Season"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}},"Page":{"name":"page","in":"query","description":"page query,return the data of the query page number (starting from 1), the default is 1000","schema":{"type":"integer","format":"int32"}},"Time":{"name":"time","in":"query","description":"time query,return records (timestamp) greater than or equal to the update time,sorted according to the update time","schema":{"type":"integer","format":"int32"}},"Uuid":{"name":"uuid","in":"query","description":"uuid query,return the queried uuid data","schema":{"type":"string"}}},"schemas":{"Season":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Season id"},"competition_id":{"type":"string","description":"Competition id"},"year":{"type":"string","description":"Season year"},"has_player_stats":{"type":"integer","description":"Is there any player statistics,1-Yes,0-No"},"has_team_stats":{"type":"integer","description":"Are there team statistics,1-Yes,0-No"},"has_table":{"type":"integer","description":"Is there a standings,1-Yes,0-No"},"is_current":{"type":"integer","description":"Whether the latest season,1-Yes,0-No"},"start_time":{"type":"integer","description":"Start time"},"end_time":{"type":"integer","description":"End Time"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"Query":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type,uuid query:uuid,page query:page,time query:time,default page"},"uuid":{"type":"string","description":"uuid query value (uuid query,field exists)"},"page":{"type":"integer","description":"page query value (page query,field exists)"},"time":{"type":"integer","description":"time query value,timestamp format (time query,field exists)"},"min_time":{"type":"integer","description":"Return the smallest time in the data(updated_at value) (time query,field exists)"},"max_time":{"type":"integer","description":"Return the largest time in the data(updated_at value) (time query,field exists)"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/basic-info/season.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
